=== applets/mediacontroller/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Bharadwaj Raju <bharadwaj.raju777@protonmail.com>
# SPDX-License-Identifier: GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL

add_subdirectory(plugin)

plasma_install_package(package org.kde.plasma.mediacontroller)
