=== debian/changelog ===
plasma-workspace (4:5.27.11-0ubuntu4) noble; urgency=medium

  * No-change rebuild against Qt 5.15.13.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 05 Apr 2024 15:20:44 +0300

plasma-workspace (4:5.27.11-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:13:20 +0000

plasma-workspace (4:5.27.11-0ubuntu2) noble; urgency=medium

  * Add d/patches/upstream_fix-kfontinst-wayland-crash.patch

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Mar 2024 12:44:49 +0000

plasma-workspace (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:50 +0000

plasma-workspace (4:5.27.10-3ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:29:13 +0000

plasma-workspace (4:5.27.10-3ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/control:
      + Kubuntu Vcs and maintainer fields.
      + Bump plasma-wayland-protocols build dep to 1.9.0
      + Runtime depend on activities, kconfig, kirigami2, newstuff
        and pipewire qml modules.
      + Recommend runtime appmenu-gtk3-moduleand kio-fuse, as per
        cmake output.
      + plasma-workspace-data:
        - Breaks/Replaces to suit Kubuntu packaging history.
    - Keep our symbols files.
    - Do not ship sddm-theme-debian-breeze:
      + debian/control: No sddm-theme-debian-breeze package.
      + d/patches: Exclude add_sddm_debian_breeze.patch
    - debian/patches: Do not adopt remaining patches.
    - libtaskmanager6 package: Do not do the pointless SOVERSION bump with
      debian-abi-manager
    - sddm-theme-breeze package: s/debian-theme/ubuntu-theme in default install
      locations.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:26:29 -0700

plasma-workspace (4:5.27.10-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:25:34 +0100

plasma-workspace (4:5.27.10-2ubuntu2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 21:01:49 +0100

plasma-workspace (4:5.27.10-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/control:
      + Kubuntu Vcs and maintainer fields.
      + Plasma build deps versioned to 5.27.7
      + Frameworks build deps versioned to 5.102.0
      + Bump plasma-wayland-protocols build dep to 1.9.0
      + Runtime depend on activities, kconfig, kirigami2, newstuff
        and pipewire qml modules.
      + Recommend runtime appmenu-gtk3-moduleand kio-fuse, as per
        cmake output.
      + plasma-workspace-data:
        - Breaks/Replaces to suit Kubuntu packaging history.
    - Keep our symbols files.
    - Do not ship sddm-theme-debian-breeze:
      + debian/control: No sddm-theme-debian-breeze package.
      + d/patches: Exclude add_sddm_debian_breeze.patch
    - debian/patches: Do not adopt remaining patches.
    - libtaskmanager6 package: Do not do the pointless SOVERSION bump with
      debian-abi-manager
    - sddm-theme-breeze package: s/debian-theme/ubuntu-theme in default install
      locations.

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Dec 2023 12:45:38 +0000

plasma-workspace (4:5.27.10-2) unstable; urgency=medium

  * Update AppStream 1.0 compat patch
  * Tighten build-dep on breeze-dev (Closes: #1058908)

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Dec 2023 22:12:28 +0100

plasma-workspace (4:5.27.10-1ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/control:
      + Kubuntu Vcs and maintainer fields.
      + Plasma build deps versioned to 5.27.7
      + Frameworks build deps versioned to 5.102.0
      + Bump plasma-wayland-protocols build dep to 1.9.0
      + Runtime depend on activities, kconfig, kirigami2, newstuff
        and pipewire qml modules.
      + Recommend runtime appmenu-gtk3-moduleand kio-fuse, as per
        cmake output.
      + plasma-workspace-data:
        - Breaks/Replaces to suit Kubuntu packaging history.
    - Keep our symbols files.
    - Do not ship sddm-theme-debian-breeze:
      + debian/control: No sddm-theme-debian-breeze package.
      + d/patches: Exclude add_sddm_debian_breeze.patch
    - debian/patches: Do not adopt remaining patches.
    - libtaskmanager6 package: Do not do the pointless SOVERSION bump with
      debian-abi-manager
    - sddm-theme-breeze package: s/debian-theme/ubuntu-theme in default install
      locations.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Dec 2023 17:04:40 +0000

plasma-workspace (4:5.27.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (5.27.10).
  * Add fix-appstreamqt5-1.0-build.patch:
    - Fixes FTBFS with AppStreamQt5 >= 1.0

 -- Matthias Klumpp <mak@debian.org>  Mon, 18 Dec 2023 10:02:34 +0100

plasma-workspace (4:5.27.10-0ubuntu2) noble; urgency=medium

  * No change rebuild against appstream 1.0.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Dec 2023 16:05:30 +0000

plasma-workspace (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:23:15 +0000

plasma-workspace (4:5.27.9.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.27.9.1).


