=== debian/changelog ===
plasma-workspace (4:5.27.11-0ubuntu4.1trisquel3) ecne-security; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 18 Oct 2024 08:07:38 +0000

plasma-workspace (4:5.27.11-0ubuntu4.1) noble-security; urgency=medium

  * SECURITY UPDATE: ksmserver: Unauthorized users can access session manager
    (LP: #2067742)
    - debian/patches/CVE-2024-36041.patch: do not allow local connections
      without proper authentication.
    - CVE-2024-36041

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 17 Jun 2024 17:08:17 -0500
